Loading...
Searching...
No Matches
mkgeo_grid Namespace Reference

## Variables

str | usage = "mkgeo_grid [-{abcdfg} float] [-{eptqTPH}] [nx [ny nz]]] [-[no]sides] [-[no]boundary] [-[no]region] [-[no]corner] [-rz|-zr] [-v4]"
str | args = ""
str | dim = "2d"
str | sys_coord = "cartesian"
int | new_format = `rheolef-config --have-new-code 2>/dev/null`
| GEO_BIN = ${GEO_BIN-"geo"}
| pkgbindir = `rheolef-config --pkglibdir`
str | command = "$pkgbindir/mkgeo_grid_$dim $args 2>/dev/null"
| status = $?

## Variable Documentation

## usage

str usage = "mkgeo_grid [-{abcdfg} float] [-{eptqTPH}] [nx [ny nz]]] [-[no]sides] [-[no]boundary] [-[no]region] [-[no]corner] [-rz|-zr] [-v4]"

Definition at line 152 of file mkgeo_grid.sh.

## args

str args = ""

Definition at line 169 of file mkgeo_grid.sh.

## dim

dim = "2d"

Definition at line 170 of file mkgeo_grid.sh.

## sys_coord

sys_coord = "cartesian"

Definition at line 171 of file mkgeo_grid.sh.

## new_format

int new_format = `rheolef-config --have-new-code 2>/dev/null`

Definition at line 172 of file mkgeo_grid.sh.

## GEO_BIN

GEO_BIN = ${GEO_BIN-"geo"}

Definition at line 173 of file mkgeo_grid.sh.

## pkgbindir

pkgbindir = `rheolef-config --pkglibdir`

Definition at line 196 of file mkgeo_grid.sh.

## command

str command = "$pkgbindir/mkgeo_grid_$dim $args 2>/dev/null"

Definition at line 203 of file mkgeo_grid.sh.

## status

status = $?

Definition at line 209 of file mkgeo_grid.sh.